diff --git a/dports/math/octave-ad/Portfile b/dports/math/octave-ad/Portfile
index b056fda..d7c7f0f 100644
--- a/dports/math/octave-ad/Portfile
+++ b/dports/math/octave-ad/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/ad/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-ann/Portfile b/dports/math/octave-ann/Portfile
index 9697595..3c0a73c 100644
--- a/dports/math/octave-ann/Portfile
+++ b/dports/math/octave-ann/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/ann/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-audio/Portfile b/dports/math/octave-audio/Portfile
index fd8c49d..f2a4cb5 100644
--- a/dports/math/octave-audio/Portfile
+++ b/dports/math/octave-audio/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/audio/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-bim/Portfile b/dports/math/octave-bim/Portfile
index 23ebf1b..3c381fc 100644
--- a/dports/math/octave-bim/Portfile
+++ b/dports/math/octave-bim/Portfile
@@ -29,4 +29,8 @@ depends_lib-append		port:octave  \
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/bim/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-bioinfo/Portfile b/dports/math/octave-bioinfo/Portfile
index 4fd9466..1af01b6 100644
--- a/dports/math/octave-bioinfo/Portfile
+++ b/dports/math/octave-bioinfo/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/bioinfo/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-civil-engineering/Portfile b/dports/math/octave-civil-engineering/Portfile
index 508ce69..09d406d 100644
--- a/dports/math/octave-civil-engineering/Portfile
+++ b/dports/math/octave-civil-engineering/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/civil/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-combinatorics/Portfile b/dports/math/octave-combinatorics/Portfile
index b997372..a4d6f8a 100644
--- a/dports/math/octave-combinatorics/Portfile
+++ b/dports/math/octave-combinatorics/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/combinatorics/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-control/Portfile b/dports/math/octave-control/Portfile
index c2da984..f3b7a3a 100644
--- a/dports/math/octave-control/Portfile
+++ b/dports/math/octave-control/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/control/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-data-smoothing/Portfile b/dports/math/octave-data-smoothing/Portfile
index eb63941..8e0f076 100644
--- a/dports/math/octave-data-smoothing/Portfile
+++ b/dports/math/octave-data-smoothing/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/data-smoothing/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-econometrics/Portfile b/dports/math/octave-econometrics/Portfile
index 90445ac..1d0f6ac 100644
--- a/dports/math/octave-econometrics/Portfile
+++ b/dports/math/octave-econometrics/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/econometrics/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-engine/Portfile b/dports/math/octave-engine/Portfile
index 873f2f3..c52a188 100644
--- a/dports/math/octave-engine/Portfile
+++ b/dports/math/octave-engine/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/engine/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-financial/Portfile b/dports/math/octave-financial/Portfile
index bfa65a9..4a8eae4 100644
--- a/dports/math/octave-financial/Portfile
+++ b/dports/math/octave-financial/Portfile
@@ -28,4 +28,8 @@ depends_lib-append		port:octave  \
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/financial/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-fpl/Portfile b/dports/math/octave-fpl/Portfile
index f34f709..1038e63 100644
--- a/dports/math/octave-fpl/Portfile
+++ b/dports/math/octave-fpl/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/fpl/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-ga/Portfile b/dports/math/octave-ga/Portfile
index 90ceb3a..be6ccdb 100644
--- a/dports/math/octave-ga/Portfile
+++ b/dports/math/octave-ga/Portfile
@@ -28,4 +28,8 @@ depends_lib-append		port:octave  \
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/ga/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-general/Portfile b/dports/math/octave-general/Portfile
index 22d06a8..87e313c 100644
--- a/dports/math/octave-general/Portfile
+++ b/dports/math/octave-general/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/general/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-graceplot/Portfile b/dports/math/octave-graceplot/Portfile
index 1ff443c..0def4c4 100644
--- a/dports/math/octave-graceplot/Portfile
+++ b/dports/math/octave-graceplot/Portfile
@@ -28,4 +28,8 @@ depends_lib-append		port:octave  \
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/graceplot/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-gsl/Portfile b/dports/math/octave-gsl/Portfile
index b948201..0fe4a66 100644
--- a/dports/math/octave-gsl/Portfile
+++ b/dports/math/octave-gsl/Portfile
@@ -28,3 +28,7 @@ post-destroot {
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
 	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/gsl/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-ident/Portfile b/dports/math/octave-ident/Portfile
index e47da34..4026cc8 100644
--- a/dports/math/octave-ident/Portfile
+++ b/dports/math/octave-ident/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/ident/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-image/Portfile b/dports/math/octave-image/Portfile
index 8691fe2..6c5b21d 100644
--- a/dports/math/octave-image/Portfile
+++ b/dports/math/octave-image/Portfile
@@ -31,3 +31,7 @@ post-destroot {
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate {
 	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/image/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-informationtheory/Portfile b/dports/math/octave-informationtheory/Portfile
index a9ef67d..6bc293f 100644
--- a/dports/math/octave-informationtheory/Portfile
+++ b/dports/math/octave-informationtheory/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/info-theory/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-integration/Portfile b/dports/math/octave-integration/Portfile
index a8d3fdc..585ba1d 100644
--- a/dports/math/octave-integration/Portfile
+++ b/dports/math/octave-integration/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/integration/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-io/Portfile b/dports/math/octave-io/Portfile
index 3932c7b..6c8a872 100644
--- a/dports/math/octave-io/Portfile
+++ b/dports/math/octave-io/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/io/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-irsa/Portfile b/dports/math/octave-irsa/Portfile
index 3b5d100..0107882 100644
--- a/dports/math/octave-irsa/Portfile
+++ b/dports/math/octave-irsa/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/irsa/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-java/Portfile b/dports/math/octave-java/Portfile
index 5e47c01..a079667 100644
--- a/dports/math/octave-java/Portfile
+++ b/dports/math/octave-java/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/java/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-linear-algebra/Portfile b/dports/math/octave-linear-algebra/Portfile
index bb15d44..2dcfe92 100644
--- a/dports/math/octave-linear-algebra/Portfile
+++ b/dports/math/octave-linear-algebra/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/linear-algebra/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-mapping/Portfile b/dports/math/octave-mapping/Portfile
index e2a61ce..ba1e578 100644
--- a/dports/math/octave-mapping/Portfile
+++ b/dports/math/octave-mapping/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/mapping/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-miscellaneous/Portfile b/dports/math/octave-miscellaneous/Portfile
index d839848..9501999 100644
--- a/dports/math/octave-miscellaneous/Portfile
+++ b/dports/math/octave-miscellaneous/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/miscellaneous/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-missing-functions/Portfile b/dports/math/octave-missing-functions/Portfile
index cdb1973..4120bdf 100644
--- a/dports/math/octave-missing-functions/Portfile
+++ b/dports/math/octave-missing-functions/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/missing-functions/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-msh/Portfile b/dports/math/octave-msh/Portfile
index e384695..5bbe077 100644
--- a/dports/math/octave-msh/Portfile
+++ b/dports/math/octave-msh/Portfile
@@ -28,4 +28,8 @@ depends_lib-append		port:octave  \
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/msh/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-multicore/Portfile b/dports/math/octave-multicore/Portfile
index 309416f..3921229 100644
--- a/dports/math/octave-multicore/Portfile
+++ b/dports/math/octave-multicore/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/multicore/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-nan/Portfile b/dports/math/octave-nan/Portfile
index a6d067f..4b782da 100644
--- a/dports/math/octave-nan/Portfile
+++ b/dports/math/octave-nan/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/NaN/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-nnet/Portfile b/dports/math/octave-nnet/Portfile
index 7596d37..0383385 100644
--- a/dports/math/octave-nnet/Portfile
+++ b/dports/math/octave-nnet/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/nnet/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-ocs/Portfile b/dports/math/octave-ocs/Portfile
index 05cbdb9..d71dc4e 100644
--- a/dports/math/octave-ocs/Portfile
+++ b/dports/math/octave-ocs/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/ocs/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-octcdf/Portfile b/dports/math/octave-octcdf/Portfile
index 7726427..e4ad79b 100644
--- a/dports/math/octave-octcdf/Portfile
+++ b/dports/math/octave-octcdf/Portfile
@@ -29,3 +29,7 @@ post-destroot {
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
 	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/octcdf/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-odebvp/Portfile b/dports/math/octave-odebvp/Portfile
index 4e72726..1ffb257 100644
--- a/dports/math/octave-odebvp/Portfile
+++ b/dports/math/octave-odebvp/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/odebvp/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-optim/Portfile b/dports/math/octave-optim/Portfile
index 5411e24..7e7187d 100644
--- a/dports/math/octave-optim/Portfile
+++ b/dports/math/octave-optim/Portfile
@@ -28,4 +28,8 @@ depends_lib-append		port:octave  \
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/optim/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-optiminterp/Portfile b/dports/math/octave-optiminterp/Portfile
index 2db6ca1..7a2b7d8 100644
--- a/dports/math/octave-optiminterp/Portfile
+++ b/dports/math/octave-optiminterp/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/optiminterp/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-outliers/Portfile b/dports/math/octave-outliers/Portfile
index 664c0e0..7d0a08e 100644
--- a/dports/math/octave-outliers/Portfile
+++ b/dports/math/octave-outliers/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/outliers/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-parallel/Portfile b/dports/math/octave-parallel/Portfile
index dde27fe..9f63565 100644
--- a/dports/math/octave-parallel/Portfile
+++ b/dports/math/octave-parallel/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/parallel/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-pdb/Portfile b/dports/math/octave-pdb/Portfile
index d5ae081..69eaad7 100644
--- a/dports/math/octave-pdb/Portfile
+++ b/dports/math/octave-pdb/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/pdb/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-physicalconstants/Portfile b/dports/math/octave-physicalconstants/Portfile
index c472273..8d6dad0 100644
--- a/dports/math/octave-physicalconstants/Portfile
+++ b/dports/math/octave-physicalconstants/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/physical-constants/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-plot/Portfile b/dports/math/octave-plot/Portfile
index 2091a8d..82ef75c 100644
--- a/dports/math/octave-plot/Portfile
+++ b/dports/math/octave-plot/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/plot/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-pt_br/Portfile b/dports/math/octave-pt_br/Portfile
index de323f4..c75640d 100644
--- a/dports/math/octave-pt_br/Portfile
+++ b/dports/math/octave-pt_br/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/pt_BR/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-secs1d/Portfile b/dports/math/octave-secs1d/Portfile
index b18e7a0..b50e18e 100644
--- a/dports/math/octave-secs1d/Portfile
+++ b/dports/math/octave-secs1d/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/secs1d/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-signal/Portfile b/dports/math/octave-signal/Portfile
index f3cde1a..7a3c6de 100644
--- a/dports/math/octave-signal/Portfile
+++ b/dports/math/octave-signal/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/signal/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-sockets/Portfile b/dports/math/octave-sockets/Portfile
index 963fc9a..399bee9 100644
--- a/dports/math/octave-sockets/Portfile
+++ b/dports/math/octave-sockets/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/sockets/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-specfun/Portfile b/dports/math/octave-specfun/Portfile
index 1cd9d05..22e5a79 100644
--- a/dports/math/octave-specfun/Portfile
+++ b/dports/math/octave-specfun/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/specfun/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-special-matrix/Portfile b/dports/math/octave-special-matrix/Portfile
index 59624da..f9e7b4f 100644
--- a/dports/math/octave-special-matrix/Portfile
+++ b/dports/math/octave-special-matrix/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/special-matrix/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-spline-gcvspl/Portfile b/dports/math/octave-spline-gcvspl/Portfile
index 9dcb821..d01e895 100644
--- a/dports/math/octave-spline-gcvspl/Portfile
+++ b/dports/math/octave-spline-gcvspl/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/spline-gsvspl/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-splines/Portfile b/dports/math/octave-splines/Portfile
index 0997339..74d451d 100644
--- a/dports/math/octave-splines/Portfile
+++ b/dports/math/octave-splines/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/splines/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-statistics/Portfile b/dports/math/octave-statistics/Portfile
index 3e74135..32b8bff 100644
--- a/dports/math/octave-statistics/Portfile
+++ b/dports/math/octave-statistics/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/statistics/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-strings/Portfile b/dports/math/octave-strings/Portfile
index c3ba822..f96cc16 100644
--- a/dports/math/octave-strings/Portfile
+++ b/dports/math/octave-strings/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/strings/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-struct/Portfile b/dports/math/octave-struct/Portfile
index a9d5616..1ef6a29 100644
--- a/dports/math/octave-struct/Portfile
+++ b/dports/math/octave-struct/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/struct/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-symband/Portfile b/dports/math/octave-symband/Portfile
index 8a746e4..0c9708f 100644
--- a/dports/math/octave-symband/Portfile
+++ b/dports/math/octave-symband/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/symband/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-tcl-octave/Portfile b/dports/math/octave-tcl-octave/Portfile
index 7f6be2e..2cb88ec 100644
--- a/dports/math/octave-tcl-octave/Portfile
+++ b/dports/math/octave-tcl-octave/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/soctcl/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-time/Portfile b/dports/math/octave-time/Portfile
index c135a2b..3e93b6c 100644
--- a/dports/math/octave-time/Portfile
+++ b/dports/math/octave-time/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/time/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-triangular/Portfile b/dports/math/octave-triangular/Portfile
index c0a6480..32874b0 100644
--- a/dports/math/octave-triangular/Portfile
+++ b/dports/math/octave-triangular/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/triangular/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-tsa/Portfile b/dports/math/octave-tsa/Portfile
index bfc8f40..13b6c58 100644
--- a/dports/math/octave-tsa/Portfile
+++ b/dports/math/octave-tsa/Portfile
@@ -28,4 +28,8 @@ depends_lib-append		port:octave  \
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/tsa/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-vrml/Portfile b/dports/math/octave-vrml/Portfile
index 216820b..3e4ea16 100644
--- a/dports/math/octave-vrml/Portfile
+++ b/dports/math/octave-vrml/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/vrml/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-windows/Portfile b/dports/math/octave-windows/Portfile
index 2c63650..7d17939 100644
--- a/dports/math/octave-windows/Portfile
+++ b/dports/math/octave-windows/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/Windows/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
diff --git a/dports/math/octave-zenity/Portfile b/dports/math/octave-zenity/Portfile
index 58a0a35..21b37ed 100644
--- a/dports/math/octave-zenity/Portfile
+++ b/dports/math/octave-zenity/Portfile
@@ -27,4 +27,8 @@ depends_lib-append		port:octave
 post-destroot { 
 	move ${destroot}${prefix}/share/octave/octave_packages ${destroot}${prefix}/share/octave/octave_packages_${name} }
 post-activate { 
-	system "octave --eval \"pkg rebuild\"" }
\ No newline at end of file
+	system "octave --eval \"pkg rebuild\"" }
+
+livecheck.check regex
+livecheck.url   http://octave.sourceforge.net/zenity/index.html
+livecheck.regex <tr><td>Package Version:</td><td>(\\d+(\\.\\d+)*)</td></tr>
